#include "UGObjectManager.h"



UGObjectManager::UGObjectManager(){
	enemyManager = new GEnemyManager();
//	effectManager = new UGEffectManager();
//	shotManager = new UGShotManager();
	player = new UGPlayer(PlayerType::Udonge);

//	itemManager = new UGItemManager();
//	neutralManager = new UGNeutralManager();

	/////
	// AIBOOOOOOOOOOOOO!
//	player->aibo = new UGPlayer(PlayerType::Durandana);
}

UGObjectManager::~UGObjectManager(){
	clear();
	delete player;
}

void UGObjectManager::clear(){
	enemyManager->clear();
/*	effectManager->clear();
	shotManager->clear();
	itemManager->clear();
	neutralManager->clear();*/
}
